CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2020-10683

dom4j before 2.0.3 and 2.1.x before 2.1.3 allows external DTDs and External Entities by default, which might enable XXE attacks. However, there is popular external documentation from OWASP showing how to enable the safe, non-default behavior in any application that uses dom4j.
Publish Date : 2020-05-01 Last Update Date : 2021-12-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 611

- Products Affected By CVE-2020-10683

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
2 Application Dom4j Project Dom4j * * * * Version Details Vulnerabilities
3 Application Netapp Oncommand Api Services - * * * Version Details Vulnerabilities
4 Application Netapp Oncommand Workflow Automation - * * * Version Details Vulnerabilities
5 Application Netapp Snap Creator Framework - * * * Version Details Vulnerabilities
6 Application Netapp Snapcenter - * * * Version Details Vulnerabilities
7 Application Netapp Snapmanager - * * * Version Details Vulnerabilities
8 Application Netapp Snapmanager - * * * Version Details Vulnerabilities
9 OS Opensuse Leap 15.1 * * * Version Details Vulnerabilities
10 Application Oracle Agile Plm 9.3.3 * * * Version Details Vulnerabilities
11 Application Oracle Agile Plm 9.3.5 * * * Version Details Vulnerabilities
12 Application Oracle Application Testing Suite 13.3.0.1 * * * Version Details Vulnerabilities
13 Application Oracle Banking Platform * * * * Version Details Vulnerabilities
14 Application Oracle Business Process Management Suite 12.2.1.3.0 * * * Version Details Vulnerabilities
15 Application Oracle Business Process Management Suite 12.2.1.4.0 * * * Version Details Vulnerabilities
16 Application Oracle Communications Application Session Controller 3.9m0p1 * * * Version Details Vulnerabilities
17 Application Oracle Communications Diameter Signaling Router * * * * Version Details Vulnerabilities
18 Application Oracle Communications Unified Inventory Management 7.3.0 * * * Version Details Vulnerabilities
19 Application Oracle Communications Unified Inventory Management 7.4.0 * * * Version Details Vulnerabilities
20 Application Oracle Data Integrator 12.2.1.3.0 * * * Version Details Vulnerabilities
21 Application Oracle Data Integrator 12.2.1.4.0 * * * Version Details Vulnerabilities
22 Application Oracle Documaker * * * * Version Details Vulnerabilities
23 Application Oracle Endeca Information Discovery Integrator 3.2.0 * * * Version Details Vulnerabilities
24 Application Oracle Enterprise Data Quality 11.1.1.9.0 * * * Version Details Vulnerabilities
25 Application Oracle Enterprise Data Quality 12.2.1.3.0 * * * Version Details Vulnerabilities
26 Application Oracle Enterprise Manager Base Platform 13.4.0.0 * * * Version Details Vulnerabilities
27 Application Oracle Financial Services Analytical Applications Infrastructure * * * * Version Details Vulnerabilities
28 Application Oracle Flexcube Core Banking 11.7.0 * * * Version Details Vulnerabilities
29 Application Oracle Flexcube Core Banking 11.8.0 * * * Version Details Vulnerabilities
30 Application Oracle Flexcube Core Banking 11.9.0 * * * Version Details Vulnerabilities
31 Application Oracle Flexcube Core Banking 11.10.0 * * * Version Details Vulnerabilities
32 Application Oracle Fusion Middleware 12.2.1.4.0 * * * Version Details Vulnerabilities
33 Application Oracle Health Sciences Empirica Signal 9.0 * * * Version Details Vulnerabilities
34 Application Oracle Health Sciences Information Manager 3.0.1 * * * Version Details Vulnerabilities
35 Application Oracle Jdeveloper 12.2.1.4.0 * * * Version Details Vulnerabilities
36 Application Oracle Primavera P6 Enterprise Project Portfolio Management * * * * Version Details Vulnerabilities
37 Application Oracle Rapid Planning 12.1 * * * Version Details Vulnerabilities
38 Application Oracle Rapid Planning 12.2 * * * Version Details Vulnerabilities
39 Application Oracle Retail Customer Management And Segmentation Foundation 16.0 * * * Version Details Vulnerabilities
40 Application Oracle Retail Customer Management And Segmentation Foundation 17.0 * * * Version Details Vulnerabilities
41 Application Oracle Retail Customer Management And Segmentation Foundation 18.0 * * * Version Details Vulnerabilities
42 Application Oracle Retail Customer Management And Segmentation Foundation 19.0 * * * Version Details Vulnerabilities
43 Application Oracle Retail Integration Bus 15.0 * * * Version Details Vulnerabilities
44 Application Oracle Retail Integration Bus 16.0 * * * Version Details Vulnerabilities
45 Application Oracle Retail Order Broker 15.0 * * * Version Details Vulnerabilities
46 Application Oracle Retail Order Broker 16.0 * * * Version Details Vulnerabilities
47 Application Oracle Retail Order Broker 18.0 * * * Version Details Vulnerabilities
48 Application Oracle Retail Order Broker 19.0 * * * Version Details Vulnerabilities
49 Application Oracle Retail Order Broker 19.1 * * * Version Details Vulnerabilities
50 Application Oracle Retail Price Management 14.0.3 * * * Version Details Vulnerabilities
51 Application Oracle Retail Price Management 14.1.3.0 * * * Version Details Vulnerabilities
52 Application Oracle Retail Price Management 15.0.3.0 * * * Version Details Vulnerabilities
53 Application Oracle Retail Price Management 16.0.3.0 * * * Version Details Vulnerabilities
54 Application Oracle Retail Xstore Point Of Service 15.0.4 * * * Version Details Vulnerabilities
55 Application Oracle Retail Xstore Point Of Service 16.0.6 * * * Version Details Vulnerabilities
56 Application Oracle Retail Xstore Point Of Service 17.0.4 * * * Version Details Vulnerabilities
57 Application Oracle Retail Xstore Point Of Service 18.0.3 * * * Version Details Vulnerabilities
58 Application Oracle Storagetek Tape Analytics Sw Tool 2.3 * * * Version Details Vulnerabilities
59 Application Oracle Utilities Framework * * * * Version Details Vulnerabilities
60 Application Oracle Utilities Framework 2.2.0.0.0 * * * Version Details Vulnerabilities
61 Application Oracle Utilities Framework 4.2.0.2.0 * * * Version Details Vulnerabilities
62 Application Oracle Utilities Framework 4.2.0.3.0 * * * Version Details Vulnerabilities
63 Application Oracle Utilities Framework 4.4.0.0.0 * * * Version Details Vulnerabilities
64 Application Oracle Utilities Framework 4.4.0.2.0 * * * Version Details Vulnerabilities
65 Application Oracle Webcenter Portal 11.1.1.9.0 * * * Version Details Vulnerabilities
66 Application Oracle Webcenter Portal 12.2.1.3.0 * * * Version Details Vulnerabilities
67 Application Oracle Webcenter Portal 12.2.1.4.0 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 1
Dom4j Project Dom4j 1
Netapp Oncommand Api Services 1
Netapp Oncommand Workflow Automation 1
Netapp Snap Creator Framework 1
Netapp Snapcenter 1
Netapp Snapmanager 2
Opensuse Leap 1
Oracle Agile Plm 2
Oracle Application Testing Suite 1
Oracle Banking Platform 1
Oracle Business Process Management Suite 2
Oracle Communications Application Session Controller 1
Oracle Communications Diameter Signaling Router 1
Oracle Communications Unified Inventory Management 2
Oracle Data Integrator 2
Oracle Documaker 1
Oracle Endeca Information Discovery Integrator 1
Oracle Enterprise Data Quality 2
Oracle Enterprise Manager Base Platform 1
Oracle Financial Services Analytical Applications Infrastructure 1
Oracle Flexcube Core Banking 4
Oracle Fusion Middleware 1
Oracle Health Sciences Empirica Signal 1
Oracle Health Sciences Information Manager 1
Oracle Jdeveloper 1
Oracle Primavera P6 Enterprise Project Portfolio Management 1
Oracle Rapid Planning 2
Oracle Retail Customer Management And Segmentation Foundation 4
Oracle Retail Integration Bus 2
Oracle Retail Order Broker 5
Oracle Retail Price Management 4
Oracle Retail Xstore Point Of Service 4
Oracle Storagetek Tape Analytics Sw Tool 1
Oracle Utilities Framework 6
Oracle Webcenter Portal 3

- References For CVE-2020-10683

https://security.netapp.com/advisory/ntap-20200518-0002/ CONFIRM
https://lists.apache.org/thread.html/rb1b990d7920ae0d50da5109b73b92bab736d46c9788dd4b135cb1a51@%3Cnotifications.freemarker.apache.org%3E
MLIST [freemarker-notifications] 20210906 [jira] [Created] (FREEMARKER-190) The jar dom4j has known security issue that Freemarker compiles dependend on it
https://www.oracle.com//security-alerts/cpujul2021.html
N/A N/A
https://www.oracle.com/security-alerts/cpujan2021.html
https://www.oracle.com/security-alerts/cpuApr2021.html
https://lists.apache.org/thread.html/r91c64cd51e68e97d524395474eaa25362d564572276b9917fcbf5c32@%3Cdev.velocity.apache.org%3E
MLIST [velocity-dev] 20201203 Re: Use of external DTDs - CVE-2020-10683
https://bugzilla.redhat.com/show_bug.cgi?id=1694235
https://github.com/dom4j/dom4j/releases/tag/version-2.1.3 CONFIRM
https://www.oracle.com/security-alerts/cpuoct2020.html
https://www.oracle.com/security-alerts/cpuoct2021.html
https://cheatsheetseries.owasp.org/cheatsheets/XML_External_Entity_Prevention_Cheat_Sheet.html
https://github.com/dom4j/dom4j/commits/version-2.0.3
http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00061.html
SUSE openSUSE-SU-2020:0719
https://github.com/dom4j/dom4j/issues/87
https://github.com/dom4j/dom4j/commit/a8228522a99a02146106672a34c104adbda5c658 CONFIRM
https://www.oracle.com/security-alerts/cpujul2020.html
https://lists.apache.org/thread.html/r51f3f9801058e47153c0ad9bc6209d57a592fc0e7aefd787760911b8@%3Cdev.velocity.apache.org%3E
MLIST [velocity-dev] 20201203 Use of external DTDs - CVE-2020-10683
https://usn.ubuntu.com/4575-1/
UBUNTU USN-4575-1

- Metasploit Modules Related To CVE-2020-10683

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.